Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAction.MenuRole

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAction.MenuRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAction

    public static final class QAction.MenuRole

extends java.lang.Enum
implements QtEnumerator

This enum describes how an action should be moved into the application menu on Mac OS X.

See Also:
  Serialized Form

Field Summary
`static QAction.MenuRole` | `AboutQtRole` This action matches handles the "About Qt" menu item.
`static QAction.MenuRole` | `AboutRole` This action should be placed where the "About" menu item is in the application menu.
`static QAction.MenuRole` | `ApplicationSpecificRole` This action should be put in the application menu with an application specific role
`static QAction.MenuRole` | `NoRole` This action should not be put into the application menu
`static QAction.MenuRole` | `PreferencesRole` This action should be placed where the "Preferences.
`static QAction.MenuRole` | `QuitRole` This action should be placed where the Quit menu item is in the application menu.
`static QAction.MenuRole` | `TextHeuristicRole` This action should be put in the application menu based on the action's text as described in the `QMenuBar` documentation.

Method Summary
`static QAction.MenuRole` | `resolve(int value)` Returns the QAction$MenuRole constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAction.MenuRole` | `valueOf(java.lang.String name)`
`static QAction.MenuRole[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoRole

    public static final QAction.MenuRole NoRole

  This action should not be put into the application menu

### TextHeuristicRole

    public static final QAction.MenuRole TextHeuristicRole

  This action should be put in the application menu based on the action's text as described in the `QMenuBar` documentation.

### ApplicationSpecificRole

    public static final QAction.MenuRole ApplicationSpecificRole

  This action should be put in the application menu with an application specific role

### AboutQtRole

    public static final QAction.MenuRole AboutQtRole

  This action matches handles the "About Qt" menu item.

### AboutRole

    public static final QAction.MenuRole AboutRole

  This action should be placed where the "About" menu item is in the application menu.

### PreferencesRole

    public static final QAction.MenuRole PreferencesRole

  This action should be placed where the "Preferences. ." menu item is in the application menu.

### QuitRole

    public static final QAction.MenuRole QuitRole

  This action should be placed where the Quit menu item is in the application menu.

Method Detail

### values

    public static QAction.MenuRole[] values()

### valueOf

    public static QAction.MenuRole valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAction.MenuRole resolve(int value)

  Returns the QAction$MenuRole constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD